package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.EmsObjEvent;

import java.util.List;

/**
 * 能源对象事件Service接口
 *
 * @author ruoyi
 * @date 2024-09-23
 */
public interface IEmsObjEventService {
    /**
     * 查询能源对象事件
     *
     * @param id 能源对象事件主键
     * @return 能源对象事件
     */
    EmsObjEvent selectObjEventById(Long id);

    /**
     * 查询能源对象事件列表
     *
     * @param objEvent 能源对象事件
     * @return 能源对象事件集合
     */
    List<EmsObjEvent> selectObjEventList(EmsObjEvent objEvent);

    /**
     * 查询能源对象事件列表
     *
     * @param modelCode 模型编号
     * @return 能源对象事件集合
     */
    List<EmsObjEvent> selectByModelCode(String modelCode);

    /**
     * 新增能源对象事件
     *
     * @param objEvent 能源对象事件
     * @return 结果
     */
    int insertObjEvent(EmsObjEvent objEvent);

    /**
     * 批量新增能源对象属性
     *
     * @param list 能源对象能力
     * @return 结果
     */
    int insertBatch(List<EmsObjEvent> list);

    /**
     * 修改能源对象事件
     *
     * @param objEvent 能源对象事件
     * @return 结果
     */
    int updateObjEvent(EmsObjEvent objEvent);

    /**
     * 批量删除能源对象事件
     *
     * @param ids 需要删除的能源对象事件主键集合
     * @return 结果
     */
    int deleteObjEventByIds(Long[] ids);

    /**
     * 根据模型编号删除
     *
     * @param modelCode 模型编号
     * @return 结果
     */
    int deleteByModelCode(String modelCode);
}
